<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("conexion/$VpnEn.php");

$Cve_Modulo = "CMOD201506100189";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 1 - Dashboard
		$sqlP1DB = mysql_query("select COLOR_FRONTEND from dashboard_perfiles where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlP1DB)==0) echo "";
		else{
		$registroP1DB=mysql_fetch_array($sqlP1DB);
		}
		if (mysql_numrows($sqlP1DB)>0)
		{
		$ColFront=$registroP1DB["COLOR_FRONTEND"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select TIEMPO_INACTIVIDAD,DIAS_DISPONIBLES,TITULO_PAGINA from dashboard_config where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		$DiasDisp=$registroC1["DIAS_DISPONIBLES"];
		$TituPagi=$registroC1["TITULO_PAGINA"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesionesdb where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
						
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
				
			///Determinar si la Licencia aán esta Vigente
			$FechaLic=date("Y/m/d"); 
			if ($DiasDisp < $FechaLic)
			{
				echo "<script>alert('ATENCIÓN:\\n\\nTe informamos que tu licencia a expirado, serás redireccionado a la pagina indicada para que puedas continuar con el proceso de Actualización.\\n\\nAgradecemos tu comprensión.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=UpdateLicense.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ///Inicia IF Vencimiento de Licencia
				
		///Guardar el Registro de la Graficación
		$Hora=time();
		$HoraOK=date("H:i:s",$Hora);
		$FechaGen=date("Y/m/d");
		$CveRepo="20";
		$NomRepo="Monitoreo de Tareas";
		$NivRepo="Cantidad";
		$RangoRepo="Demanda";
		$AreRepo="Surtido";
		$sql_GH = mysql_query("insert into dashboard_historico (CVE_CUENTA,NOMBRE_CUENTA,CVE_REPORTE,NOMBRE_REPORTE,NIVEL,RANGO,SELECION_RANGO,AREA,USUARIO,FECHA,HORA)
			        values('$CveCueCR1','$CtaSesionEn','$CveRepo','$NomRepo','$NivRepo','$RangoRepo','N/A','$AreRepo','$UsuEn','$FechaGen','$HoraOK')");
		///$resultado_GH=mysql_query($sql_GH,$conexion) or die(mysql_error());
				
////#########################################################################################################///
				
	///Tareas Generadas
	$sql_MT1 = mysql_query("SELECT Count(tabla_tareas.no_tarea) As TotTarGen FROM tabla_docsurtido INNER JOIN tabla_tareas ON ( tabla_tareas.no_documento = tabla_docsurtido.no_documento ) WHERE tabla_docsurtido.edo_documento <> 'cerrado' AND tabla_tareas.observaciones = '' AND tabla_docsurtido.cve_cuenta = '$CveCueCR1'");
	if (mysql_numrows($sql_MT1)==0) echo "";
	else{
	$registro_MT1=mysql_fetch_array($sql_MT1);
	}
	if (mysql_numrows($sql_MT1)>0)
	{
	$TotalTareas_MT1=$registro_MT1["TotTarGen"];
	}
				
	///Tareas Finalizadas
	$sql_MT2 = mysql_query("SELECT Count(tabla_tareas.no_tarea) As TotTarFin FROM tabla_docsurtido INNER JOIN tabla_tareas ON ( tabla_tareas.no_documento = tabla_docsurtido.no_documento ) WHERE tabla_docsurtido.edo_documento <> 'cerrado' AND tabla_tareas.observaciones = '' AND tabla_tareas.estado_tarea = 'EJECUTADA' AND tabla_docsurtido.cve_cuenta = '$CveCueCR1'");
	if (mysql_numrows($sql_MT2)==0) echo "";
	else{
	$registro_MT2=mysql_fetch_array($sql_MT2);
	}
	if (mysql_numrows($sql_MT2)>0)
	{
	$TareFina_MT2=$registro_MT2["TotTarFin"];
	}
				
	///Tareas Pendientes
	$sql_MT3 = mysql_query("SELECT Count(tabla_tareas.no_tarea) As TotTarPen FROM tabla_docsurtido INNER JOIN tabla_tareas ON ( tabla_tareas.no_documento = tabla_docsurtido.no_documento ) WHERE tabla_docsurtido.edo_documento <> 'cerrado' AND tabla_tareas.observaciones = '' AND tabla_tareas.estado_tarea <> 'EJECUTADA' AND tabla_docsurtido.cve_cuenta = '$CveCueCR1'");
	if (mysql_numrows($sql_MT3)==0) echo "";
	else{
	$registro_MT2=mysql_fetch_array($sql_MT3);
	}
	if (mysql_numrows($sql_MT3)>0)
	{
	$TarePend_MT3=$registro_MT2["TotTarPen"];
	}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

<!DOCTYPE HTML>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<title>Highcharts Example</title>

		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
		<style type="text/css">
#container {
	height: 400px; 
	min-width: 310px; 
	max-width: 800px;
	margin: 0 auto;
}
		</style>
		<script type="text/javascript">
$(function () {
    $('#container').highcharts({
		
		credits: {
            enabled: false
        },
		
        chart: {
            type: 'column',
            margin: 75,
            options3d: {
                enabled: true,
                alpha: 10,
                beta: 25,
                depth: 70
            }
        },
        title: {
            text: 'Monitoreo de Tareas - Nivel Cantidad'
        },
        subtitle: {
            text: '<?PHP echo $TotalTareas_MT1; ?> Generada(s) .::::. <?PHP echo $TareFina_MT2; ?> Finalizada(s) .::::. <?PHP echo $TarePend_MT3; ?> Pendiente(s)'
        },
        plotOptions: {
            column: {	
                depth: 25
            }
        },
        xAxis: {
            categories: [
                'Generadas',
				'Finalizadas',
                'Pendientes'
            ],
        },
        yAxis: {
            title: {
                text: null
            }
        },
        series: [{
            name: 'Numero de Tareas',
            data: [<?PHP echo $TotalTareas_MT1; ?>, <?PHP echo $TareFina_MT2; ?>, <?PHP echo $TarePend_MT3; ?>]
        }]
    });
});
		</script>
	</head>
	<body>

<script src="Highcharts-4.1.5/js/highcharts.js"></script>
<script src="Highcharts-4.1.5/js/highcharts-3d.js"></script>
<script src="Highcharts-4.1.5/js/modules/exporting.js"></script>

<div id="container" style="min-width: 310px; height: 400px; max-width: 600px; margin: 0 auto"></div>
	</body>
</html>

<?PHP
} ///Termina IF Vencimiento de Licencia
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>